package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huiju.estateagents.entity.TaShareRecord;
import com.huiju.estateagents.po.TaShareRecordPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 拼团记录  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-10-18
 */
@Mapper
public interface TaShareRecordMapper extends BaseMapper<TaShareRecord> {
    List<TaShareRecord> recordSuccessList(@Param("phone") String phone, @Param("status") Integer status, @Param("orgId") Integer orgId);
    List<TaShareRecordPO> recordFailAndProcessingList(@Param("phone") String phone, @Param("status") Integer status, @Param("orgId") Integer orgId);
}
